import { TemplateRef, ViewContainerRef } from '@angular/core';
import { MdDialog, MdDialogRef, MdSidenav } from '@angular/material';
import { CfDialogComponent } from '../../components/dialog/dialog.component';
/**
 * <p>Component Template Service.</p>
 */
export declare class CfComponentTemplateService {
    dialog: MdDialog;
    dialogRef: MdDialogRef<CfDialogComponent>;
    dialogContainer: any;
    dialogOptions: any;
    constructor(dialog: MdDialog);
    /**
     * <p>Method to show template in sidenav.</p>
     * <p>Param 'options' should have mode and align properties as strings with MdDialog format.</p>
     */
    showTemplateInSidenav(sidenav: MdSidenav, options: any): void;
    /**
     * <p>Method to show template in dialog container.</p>
     */
    showTemplateInContainer(templateRef: TemplateRef<any>, containerRef: ViewContainerRef): void;
    /**
     * <p>Method to show template or text in dialog window.</p>
     * <p>Parameter options is an object of structure:
     * { template: TemplateRef<any>, text: string, dialogOptions: any }.
     * Note that if text is present, template will be ignored.</p>
     */
    showInDialog(options: any): void;
    /**
     * <p>Method to show template or text in floating dialog, next to the cursor where user clicked.</p>
     * <p>Parameter options is an object of structure:
     * { template: TemplateRef<any>, text: string, dialogOptions: any }.
     * Note that if text is present, template will be ignored.</p>
     */
    showInFloatingDialog(options: any): void;
    private openDialog(isFloating?);
    private openFloatingDialog();
    private setFloatingDialogBackdropElement();
    private setFloatingDialogContainers();
    private setFloatingDialogContainerPosition();
    private setFloatingDialogContainerAutoPosition();
    private setFloatingDialogContainerFixedPosition();
    private setDialogContainerInComponentPosition();
    private insertContentToDialog(content);
    private insertTextToDialog(text);
    private insertComponentViewToDialog(templateRef);
    private getDialogViewContainer(dialogViewContainersArray, dialogType);
    private setDialogCallbacks();
    private cleanDialogContainerStyle();
    private getDialogBackdropElement();
    private getDialogPane();
    private getDialogPaneWrapper();
    private getDialogContainer();
    /**
     * Sets listeners to CfCalendar templates events.
     */
    private setCalendarCallbacks();
}
